#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB6,0x35,0xDF,0x05,0x29,0x9A,0x31,0x5C,0x86,0x34,0x91,0x2B,
		0xE8,0xC5,0xF6,0x0B,0xF2,0x3B,0x67,0x10,0x62,0xA2,0x77,0xD3,
		0x6E,0x5E,0x44,0x2B,0x09,0xDB,0x8E,0xA3,0xDE,0x59,0xEC,0x47,
		0xFB,0xFA,0x8F,0xEE,0xFC,0xD2,0x2D,0x8F,0x38,0x26,0x7E,0x57,
		0x44,0x4A,0x61,0x05,0xE5,0xD2,0x2A,0x04,0xC6,0x98,0xAC,0x3C,
		0x32,0x31,0xAF,0x8B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
